const kerbals = Array(
  {
    name: 'jebediah',
    courage: 5,
    smartness: 1,
    missions: 4,
  },
  {
    name: 'mishack',
    courage: 3,
    smartness: 8,
    missions: 4,
  },
  {
    name: 'isiah',
    courage: 6,
    smartness: 6,
    missions: 5,
  },
  {
    name: 'valentina',
    courage: 9,
    smartness: 9,
    missions: 14,
  }
);

function missionsChart (data) {
    const svg = d3.create("svg");
      
    svg.selectAll("rect")
      .data(data)
      .join("rect")
      .attr("x",0)
      .attr("y",(d,i)=> i * 30 + 16)
      .attr("height",18)
      .attr("width", d => d.missions)
      .attr("fill", "#efbbff");
    
      svg.selectAll("text")
      .data(data)
      .join("text")
      .attr("x", 20)
      .attr("y", (d,i) => i * 30 + 30)
      .text(d => d.name + ": " + d.missions + " missions");
      
      return svg.node();
}